@import '../../variables';

.language-switch {
  border: none;
  border-radius: 20px;
  background-color: white;
  transition-duration: 0.25s;

  &:hover {
    background-color: white;
    color: map-get($theme-colors, 'primary');
  }

  &__button {
    background: none;
    color: map-get($theme-colors, 'secondary');
    border: none;
    border-radius: 20px;

    &:hover,
    &:not(:disabled):not(.disabled):active {
      background: none;
      color: map-get($theme-colors, 'primary');
    }

    &:not(:disabled):not(.disabled).active {
      border: none;
      border-radius: 20px;
      background: map-get($theme-colors, 'primary');
      color: white;
    }
  }
}
